SDL_RumbleJoystick(3)

NAME
SDL_RumbleJoystick - Start a rumble effect.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RumbleJoystick(SDL_Joystick *joystick, Uint16 low_frequency_rumble, Uint16 high_frequency_rumble, Uint32 duration_ms);

DESCRIPTION
Each call to this function cancels any previous rumble effect, and calling it with 0 intensity stops any rumbling. This function requires you to process SDL events or call SDL_UpdateJoysticks () to update rumble state.

FUNCTION PARAMETERS

joystick
    The joystick to vibrate

low_frequency_rumble
    The intensity of the low frequency (left) rumble motor, from 0 to 0xFFFF

high_frequency_rumble
    The intensity of the high frequency (right) rumble motor, from 0 to 0xFFFF

duration_ms
    The duration of the rumble effect, in milliseconds

RETURN VALUE
Returns 0, or -1 if rumble isn't supported on this joystick

AVAILABILITY
This function is available since SDL 3.0.0.